Package: org.codehaus.groovy.runtime

## [Java] Class CategoryMethodList

- org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `level` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCategorySupport.CategoryMethodList (String name, int level, CategoryMethodList previous)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `add(CategoryMethod o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ArrayList`

    `remove, remove, size, get, equals, hashCode, clone, indexOf, clear, lastIndexOf, isEmpty, replaceAll, add, add, subList, toArray, toArray, iterator, contains, spliterator, addAll, addAll, set, forEach, sort, ensureCapacity, trimToSize, removeIf, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, removeAll, retainAll, listIterator, listIterator, toString, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, parallelStream, reversed, reversed`

    `class AbstractList`

    `remove, get, equals, hashCode, indexOf, clear, lastIndexOf, add, add, subList, iterator, addAll, set, listIterator, listIterator, remove, size, toString, isEmpty, toArray, toArray, contains, addAll, removeAll, retainAll, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach, replaceAll, sort, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, reversed, reversed`

- - ### Field Detail

    - #### public final int level

  - ### Constructor Detail

    - #### public GroovyCategorySupport.CategoryMethodList(String name, int level, CategoryMethodList previous)

  - ### Method Detail

    - #### public boolean add(CategoryMethod o)